﻿using LabApi.Events.Arguments.PlayerEvents;
using LabApi.Events.Handlers;
using LabApi.Features;
using LabApi.Loader.Features.Plugins;

namespace CandySetting;

public class CandySetting : Plugin
{
    public override string Name => "CandySetting";
    public override string Author => "HoherGeist, Code002Lover";
    public override Version Version { get; } = new(1, 0, 0);
    public override string Description => "Edits # of Candy you can take";
    public override Version RequiredApiVersion { get; } = new(LabApiProperties.CompiledVersion);

    public int MaxUses { get; set; } = 6;

    public override void Enable()
    {
        PlayerEvents.InteractingScp330 += TakingCandy;
    }

    public override void Disable()
    {
        PlayerEvents.InteractingScp330 -= TakingCandy;
    }

    private void TakingCandy(PlayerInteractingScp330EventArgs ev)
    {
        ev.AllowPunishment = ev.Uses > MaxUses;
    }
}