﻿using Interactables.Interobjects.DoorUtils;
using LabApi.Events.Arguments.WarheadEvents;
using LabApi.Features;
using LabApi.Features.Wrappers;
using LabApi.Loader.Features.Plugins;

namespace WarheadEvents;

public class WarheadEvents : Plugin
{
    public override string Name => "WarheadEvents";
    public override string Author => "Code002Lover";
    public override Version Version { get; } = new(1, 0, 0);
    public override string Description => "Misc. stuff for after the Warhead explosion.";
    public override Version RequiredApiVersion { get; } = new(LabApiProperties.CompiledVersion);

    public override void Enable()
    {
        LabApi.Events.Handlers.WarheadEvents.Detonated += OnExplode;
    }

    public override void Disable()
    {
    }

    private static void OnExplode(WarheadDetonatedEventArgs ev)
    {
        var door = Door.Get(DoorVariant.AllDoors.First(x => x.DoorName.ToUpper() == "ESCAPE_FINAL"));

        door.IsOpened = true;
    }
}